#!/usr/bin/env python3
import os

"""
Main Flask RESTful API
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "app"
__version__text__ = "1"


class Config:
    PORT = 8080
    DEBUG = os.environ.get("INPUT_SERVICE_DEBUG", "true").lower() in ["true", "yes", "1"]

    SENTRY_DSN = os.environ.get("SENTRY_DSN")
    RELEASE_ID = os.environ.get("RELEASE_ID", "test")
    RELEASEMODE = os.environ.get("INPUT_SERVICE_RELEASEMODE", "dev")

    REDIS_URL = os.environ['CACHE_REDIS_URL']

    EXCHANGE_NAME_META = os.getenv("INPUT_RABBITMQ_EXCHANGE_META", "sample-meta")
    EXCHANGE_NAME_CACHE = os.getenv("INPUT_RABBITMQ_EXCHANGE_CACHE", "sample-cache")

    FLASK_PIKA_PARAMS = {
        'host': os.getenv("INPUT_RABBITMQ_HOSTNAME", "localhost"),
        'username': os.getenv("INPUT_RABBITMQ_USERNAME", "rabbitmq"),
        'password': os.getenv("INPUT_RABBITMQ_PASSWORD", "rabbitmq"),
        'port': int(os.getenv("INPUT_RABBITMQ_PORT", 5672)),
        'virtual_host': '/'
    }

    ENABLE_INFLUXDB = os.environ.get("INPUT_ENABLE_INFLUX", "true").lower() in ["true", "yes", "1"]
    INFLUXDB_HOST = os.getenv("INFLUX_HOST", "input-influx")
    INFLUXDB_PORT = os.getenv("INFLUX_PORT", "8086")
    INFLUXDB_USER = os.getenv("INFLUX_USERNAME", "input-service")
    INFLUXDB_PASSWORD = os.getenv("INFLUX_PASSWORD", "input-service-supersecret")
    INFLUXDB_DATABASE = os.getenv("INFLUX_DB", "input-service")
